CancelIncident
curl --request PATCH \
--url https://developer.synq.io/api/incidents/v1/{incident_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://developer.synq.io/api/incidents/v1/{incident_id}/cancel"
payload = {
"actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
},
"at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
at: '2023-11-07T05:31:56Z'
})
};
fetch('https://developer.synq.io/api/incidents/v1/{incident_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.incidents.v1.IncidentsService
CancelIncident
Cancel an incident
PATCH
/
api
/
incidents
/
v1
/
{incident_id}
/
cancel
CancelIncident
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the incident to cancel
Body
application/json
Actor cancelling the incident
- Actor
- Actor
- Actor
Show child attributes
Show child attributes
Time at which the incident was cancelled. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true
Examples:
"2023-01-15T01:30:15.01Z"
"2024-12-25T12:00:00Z"
Response
200 - application/json
Success
The response is of type CancelIncidentResponse · object.
⌘I